Activity log for bug #334657

Date Who What changed Old value New value Message
2009-02-26 03:06:18 duendetuc bug added bug
2009-02-26 03:06:18 duendetuc bug added attachment 'Pantallazo.png' (Pantallazo.png)
2009-02-27 09:03:35 Caspar Clemens Mierau None: status New Confirmed
2009-02-27 09:03:35 Caspar Clemens Mierau None: bugtargetdisplayname Ubuntu qt4-x11 (Ubuntu)
2009-02-27 09:03:35 Caspar Clemens Mierau None: bugtargetname ubuntu qt4-x11 (Ubuntu)
2009-02-27 09:03:35 Caspar Clemens Mierau None: statusexplanation Moving to package qt4-x11 and confirming as having the same problems with an up to date Jaunty.
2009-02-27 09:03:35 Caspar Clemens Mierau None: title Bug #334657 in Ubuntu: "Rare fonts in Jaunty" Bug #334657 in qt4-x11 (Ubuntu): "Rare fonts in Jaunty"
2009-03-02 14:45:37 Caspar Clemens Mierau title Rare fonts in Jaunty Fonts in qt4 applications on Jaunty unreadable
2009-03-03 17:54:30 Caspar Clemens Mierau description I have rare fonts in some programs like smplayer, ktorrent and amarok. I have a fresh install of Jaunty 9.04. I've attached some screenshots of the problem. I have rare fonts in some programs like smplayer, ktorrent and amarok. I have a fresh install of Jaunty 9.04. I've attached some screenshots of the problem. [update from Caspar Clemens Mierau / damokles] This bug is about a problem with using Gnome's lcd/subpixel mode in System>Preferences>Appearance>Fonts. When this is enabled, qt4 applications are not readable any more. Please note, that you need to close all qt4 applications before changing this, so the change gets applied to next opened qt4 application.
2009-03-03 17:54:30 Caspar Clemens Mierau title Fonts in qt4 applications on Jaunty unreadable Subpixel/Lcd mode makes qt4 applications on Jaunty unreadable
2009-03-22 05:40:39 TJ qt4-x11 (Ubuntu): importance Undecided Medium
2009-03-22 05:40:39 TJ qt4-x11 (Ubuntu): milestone ubuntu-9.04-beta
2009-03-29 21:55:30 Caspar Clemens Mierau qt4-x11: assignee jr
2009-03-29 21:55:30 Caspar Clemens Mierau qt4-x11: statusexplanation Confirmed here too. I've been seeing this with VLC since the start of the Jaunty development cycle but as I rarely use it didn't bother about it. I then found that Skype suffered the same problem. I tried using qtconfig-qt4 and it suffered the same. Originally I thought this was a font-file or font-cache corruption issue but can confirm that disabling the sub-pixel font rendering does work-around the issue although makes every other window's fonts look very grainy. Raising the importance and setting a milestone. Assigning to jriddle as he seems to be mostly involved in this source package and the bug is still untouched with an increasing number of duplicates.
2009-03-29 21:57:09 Caspar Clemens Mierau description I have rare fonts in some programs like smplayer, ktorrent and amarok. I have a fresh install of Jaunty 9.04. I've attached some screenshots of the problem. [update from Caspar Clemens Mierau / damokles] This bug is about a problem with using Gnome's lcd/subpixel mode in System>Preferences>Appearance>Fonts. When this is enabled, qt4 applications are not readable any more. Please note, that you need to close all qt4 applications before changing this, so the change gets applied to next opened qt4 application. I have rare fonts in some programs like smplayer, ktorrent and amarok. I have a fresh install of Jaunty 9.04. I've attached some screenshots of the problem. [update from Caspar Clemens Mierau / damokles] This bug is about a problem with using Gnome's lcd/subpixel mode in System>Preferences>Appearance>Fonts. When this is enabled in conjunction with VRGB or VBGR, qt4 applications are not readable any more. Please note, that you need to close all qt4 applications before changing this, so the change gets applied to next opened qt4 application.
2009-03-29 21:57:09 Caspar Clemens Mierau title Subpixel/Lcd mode makes qt4 applications on Jaunty unreadable Subpixel/Lcd mode with VRGB/VBGR makes qt4 applications on Jaunty unreadable
2009-04-23 13:26:05 Jonathan Thomas qt4-x11 (Ubuntu): status Confirmed In Progress
2009-04-23 13:26:05 Jonathan Thomas qt4-x11 (Ubuntu): assignee jr echidnaman
2009-04-23 13:26:05 Jonathan Thomas qt4-x11 (Ubuntu): milestone ubuntu-9.04-beta jaunty-updates
2009-04-24 12:32:08 James attachment added DSC07797.JPG http://launchpadlibrarian.net/25926644/DSC07797.JPG
2009-04-25 15:10:36 Nazo bug watch added https://bugzilla.redhat.com/show_bug.cgi?id=490377
2009-04-25 15:10:36 Nazo bug task added qt4-x11 (Fedora)
2009-04-25 15:17:24 Bug Watch Updater qt4-x11 (Fedora): status Unknown Fix Released
2009-04-29 17:46:44 Jonathan Thomas description I have rare fonts in some programs like smplayer, ktorrent and amarok. I have a fresh install of Jaunty 9.04. I've attached some screenshots of the problem. [update from Caspar Clemens Mierau / damokles] This bug is about a problem with using Gnome's lcd/subpixel mode in System>Preferences>Appearance>Fonts. When this is enabled in conjunction with VRGB or VBGR, qt4 applications are not readable any more. Please note, that you need to close all qt4 applications before changing this, so the change gets applied to next opened qt4 application. *Below added by Jonathan Thomas* Stable Release Update (SRU) infos: -Impact: Many Gnome users who have VRGB or VBGR hinting enabled will be hit with completely corrupted fonts in Qt apps -Addressed by: This bug has been addressed by adding a patch from OpenSuse that disables the new, buggy font filter and falls back to the old method. -Testcase: In Gnome, open System>Preferences>Appearance>Fonts. Choose vertical RGB or BGR LCD hinting. Qt applications using this fonting scheme will now sport corrupted fonts. -Patch/regression potential: None. Fonts are completely broken otherwise, so falling back to the old hinting method can't make it any worse. A proper fix has been made in Qt 4.5.1, but we are not ready to backport that version at this time. ####################################################################### I have corrupted fonts in some programs like smplayer, ktorrent and amarok. I have a fresh install of Jaunty 9.04. I've attached some screenshots of the problem. [update from Caspar Clemens Mierau / damokles] This bug is about a problem with using Gnome's lcd/subpixel mode in System>Preferences>Appearance>Fonts. When this is enabled in conjunction with VRGB or VBGR, qt4 applications are not readable any more. Please note, that you need to close all qt4 applications before changing this, so the change gets applied to next opened qt4 application.
2009-04-29 18:06:32 Jonathan Thomas attachment added qt4-x11_4.5.0-0ubuntu4~jaunty1.1.dsc http://launchpadlibrarian.net/26149222/qt4-x11_4.5.0-0ubuntu4%7Ejaunty1.1.dsc
2009-04-29 18:07:14 Jonathan Thomas attachment added qt4-x11_4.5.0-0ubuntu4~jaunty1.1.diff.gz http://launchpadlibrarian.net/26149237/qt4-x11_4.5.0-0ubuntu4%7Ejaunty1.1.diff.gz
2009-04-29 18:07:51 Jonathan Thomas bug added subscriber Ubuntu Stable Release Updates Team
2009-05-04 08:55:44 Martin Pitt bug task added qt4-x11 (Ubuntu Jaunty)
2009-05-04 08:55:44 Martin Pitt bug task added qt4-x11 (Ubuntu Karmic)
2009-05-04 08:57:43 Martin Pitt qt4-x11 (Ubuntu Jaunty): milestone jaunty-updates
2009-05-04 08:57:43 Martin Pitt qt4-x11 (Ubuntu Jaunty): assignee Jonathan Thomas (echidnaman)
2009-05-04 08:57:57 Martin Pitt qt4-x11 (Ubuntu Karmic): milestone jaunty-updates
2009-05-04 08:59:36 Martin Pitt qt4-x11 (Ubuntu Jaunty): status New In Progress
2009-05-04 22:21:55 Martin Pitt qt4-x11 (Ubuntu Jaunty): status In Progress Fix Committed
2009-05-04 22:22:04 Martin Pitt tags verification-needed
2009-05-06 22:11:15 Jonathan Thomas qt4-x11 (Ubuntu Karmic): status In Progress Fix Released
2009-05-08 01:36:41 Jonathan Thomas tags verification-needed verification-done
2009-05-12 16:21:15 Launchpad Janitor qt4-x11 (Ubuntu Jaunty): status Fix Committed Fix Released
2010-01-09 18:54:15 Launchpad Janitor branch linked lp:ubuntu/jaunty-proposed/qt4-x11
2017-10-27 07:04:35 Bug Watch Updater qt4-x11 (Fedora): importance Unknown Medium